Honda Goldwing Forum banner

1 - 6 of 6 Posts

·
Registered
Joined
·
96 Posts
Discussion Starter #1
I have read that if your navi has the 2.20 version that it needs to be flashed to the 2.50 version. The dealers were originally sending them off to be flashed, but I now hear some dealers are flashing at their shop and only takes 30 min.
I am going to have to get mine done as it has the older version.
Anyone else doing this , or had it done yet?
 

·
Administrator
Joined
·
25,936 Posts
This is news to me, I'll speak with one of my reps at Honda and see what he knows.
 

·
Administrator
Joined
·
25,936 Posts
I got a reply form Honda and yes this is the case. It's still in the formative stages here in Canada but it's coming.
 

·
Registered
Joined
·
96 Posts
Discussion Starter #4
Thanks for checking, I also hear that the Canadian 2012 models have version 2.60 and also are having issues.:mad:
 
1 - 6 of 6 Posts
Top